# 2022-231

Main Objective

Design and develop a prediction system for Stock Market Investments using Machine Learning to calculate the risk to the investment and predict whether the investment
is worthwhile or not. For that we consider the impact of news on investing in the stock market, impact of Company Financial Reports on investing in the Stock Market Investment,
impact of stock market financial reports on investing in the stock market, and impact of inflation under technical factors on investing in the stock market. 
Then analyze the impact and calculate the risk separately to the investment and predict whether the investment is worthwhile or not. 
Then combining all four factors and by giving weightages to the factors and then calculate the total average risk of investing in the selected company
and predict whether the investment is worthwhile or not.


Main Research questions

The impact of news on investing in the stock market
The impact of company financial reports on investing in the stock market.
The impact of stock market behavior reports on investing in the stock market
The impact of inflation for investing in the stock market


Individual research question

1	The impact of news on investing in the stock market
How the company news affects to the investments in the stock market. 
How to design a system to calculate the risk of the impact of news and make predictions.

2	The impact of company financial reports on investing in the stock market
How the movements of stock markets impact the investors, within the financial sector and far beyond. 
Based on impact on company financial reports, how to calculate the risk and make predictions


3	The impact of stock market behavior reports on investing in the stock market
How the stock market behavior reports impact for the overall stock market.
How to calculate the risk on investing in the stock market considering overall stock market behavior reports.

4	The impact of inflation for investing in the stock market
How the inflation effects to the invest in the stock market
Based on impact on inflation, how to calculate the risk and make predictions


Individual Objectives

1	The impact of news on investing in the stock market
Analize the impact of news to the companies separately on investing in the stock market and calculate the risk to the investment for the selected company.  
•	Gathering and preprocessing web news data.
•	Make a list of finance-related words to annotate.
•	Choose the most appropriate machine learning algorithms.
•	Train and test machine learning algorithms.
•	Design algorithm to predict the impact of news to the company 
•	Calculate the risk to the investment
•	By giving weightage to all four factors in the proposed system calculate the total average risk of investing in the selected company.
•	Predict whether the investment is worthwhile or not.


2	The impact of company financial reports on investing in the stock market
Calculate the values of the equations selected to analyse the financial market report behaviour of the company, thereby analysing the future behaviour of the company as a whole.
The stock market takes the selected financial company and compiles its financial statements (semi-annually, annually) for the last 7 years and calculates the accounting equations for whether those companies are suitable to invest in the current situation. Ten main equations have been identified.
 
3	The impact of stock market behavior reports on investing in the stock market
Analyze the future behavior of the entire stock market. Design a website to analyze investment risk and calculate the percentage using stock market behavior.
•	Detects the pattern of the data set of the overall stock market behavior reports over the past few years.   
•	Analyze the main factors through behavior reports that have to be considered for investing.  
•	Analyze the overall stock market future behavior using the detected pattern.
•	Calculate the investment risk using the analyzed overall stock market future behavior. 
•	Design a system for the above implementations.

4	The impact of inflation for investing in the stock market
Implement a system to determine whether the investment is profitable or not. Calculate the risk by considering the impact of investment on inflation. 
•	Gather inflation rate data sets for the last few years.
•	Predict the impact of inflation on stock market stock value based on data gathered over the last few years.
•	Calculate the risk to the specific company.
•	Design a system using machine learning algorithm.


Other necessary information

Technologies to be used

Machine learning algorithms
python development kit
GitLab


Team Members

Leader:      Tharushika P.R	          IT19057170	

Member 2:    Leelarathna K.J.K.M.A	  IT19043210	

Member 3:    P.T.R. Karunarathna	  IT18112856	

Member 4:    M.A.S. Perera	          IT19245270	

 


